Subject: [bug#67613] Introduce unit tests for oci-container-service-type.

From: paul <[email-masked]>
Date: Sun, 3 Dec 2023 22:53:50 +0100

Hi,

as discussed in issue #66160 and #67574 I'm sending a follow up with 
some unit tests for most of the internals of oci-container-service-type. 
These tests depend on the hotfix from #67574 since #66160 was merged 
with a blocking bug due to a last minute feature I added during the 
review process :( Hence if this gets merged before #67574 tests will fail .

Thank you for your help  and apologies for the noise,

giacomo